#
# spec file for package python3-github3.py
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-github3.py
Version:        1.0.0a1
Release:        2.15
Summary:        Python Wrapper for the GitHub API
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://github.com/sigmavirus24/github3.py.git
Source:         https://files.pythonhosted.org/packages/source/g/github3.py/github3.py-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-requests
BuildRequires:  python3-setuptools
BuildRequires:  python3-uritemplate
Requires:       python3-requests
Requires:       python3-uritemplate
BuildArch:      noarch

%description
github3.py is a comprehensive, actively developed and extraordinarily
stable wrapper around the GitHub API (v3).

%prep
%setup -q -n github3.py-%version

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%_prefix --root=%buildroot

%files
%defattr(-,root,root,-)
%python3_sitelib/*

%changelog
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Wed Feb 25 2015 toms@opensuse.org
- Initial Python3 version 1.0.0a1
